
package mod_audio;

import javax.sound.sampled.Clip;

public class AudioPlayer
implements Runnable {
    boolean loop = false;
    Clip sound;

    public AudioPlayer(Clip clip) {
        this.sound = clip;
    }

    @Override
    public void run() {
        this.sound.start();
        if (this.loop) {
            this.sound.loop(-1);
        }
    }

    public boolean isLoop() {
        return this.loop;
    }

    public void setLoop(boolean loop) {
        this.loop = loop;
    }
}

   


